Next Commerce
Products

Products Children List

Retrieve a list of child products for a product.

GET
/products/{id}/children/

Authorization

oauth2 catalogue:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: catalogue:read

Path Parameters

id*integer

A unique integer value identifying this Product.

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Response Body

application/json

curl -X GET "https://example.com/products/0/children/" \  -H "X-29next-API-Version: 2023-02-10"
{  "allow_backorders": true,  "date_created": "2019-08-24T14:15:22Z",  "date_updated": "2019-08-24T14:15:22Z",  "id": 0,  "images": "string",  "inventory_availability": "in_stock",  "metadata": null,  "prices": [    {      "currency": "string",      "price": "string",      "retail": "string",      "subscription": "string",      "subscription_suggested_downsell": "string"    }  ],  "product_id": 0,  "purchase_availability": "available",  "requires_shipping": true,  "sku": "string",  "stockrecords": [    {      "id": 0,      "location_id": 0,      "low_stock_threshold": 0,      "num_allocated": 0,      "num_in_stock": -2147483648,      "price": "string",      "price_currency": "string",      "price_retail": "string",      "sku": "string"    }  ],  "structure": "standalone",  "title": "string",  "track_stock": true,  "unit_cost": "string",  "upc": "string",  "variant_attribute_values": [    {      "code": "string",      "name": "string",      "value": "string"    }  ]}